import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取列表
export function getList(data) {
  return request({
    url: `/daily/withhold/list?moduleId=${data.moduleId}`,
    method: 'POST',
    data
  })
}

// 新增
export function getListAdd(data) {
  return request({
    url: '/daily/withhold/add',
    method: 'POST',
    data
  })
}

// 删除
export function getListDelete(params) {
  return request({
    url: '/daily/withhold/delete',
    method: 'POST',
    params
  })
}

// 修改
export function getListUpdate(data) {
  return request({
    url: '/daily/withhold/update',
    method: 'POST',
    data
  })
}

// 结算汇总暂扣款比例
export function getConfig() {
  return request({
    url: '/daily/withhold/config/get',
    method: 'POST'
  })
}

// 配置结算汇总暂扣款比例
export function getConfigSave(params) {
  return request({
    url: '/daily/withhold/config/save',
    method: 'post',
    params
  })
}
